/*
 * point.h
 *
 *  Created on: Sep 3, 2016
 *      Author: zeil
 */

#ifndef POINT_H_
#define POINT_H_

#include <iostream>

class Point {
public:
  int x;
  int y;

  Point (int xx = 0, int yy = 0)
    : x(xx), y(yy)
  {}

  double euclideanDist (const Point& p) const;


  double manhattanDist (const Point& p) const;
};


bool operator== (const Point& p1, const Point& p2);


std::ostream& operator<< (std::ostream& out, const Point& p);





#endif /* POINT_H_ */
